# Declare Variables Here #
# variables.tf 

variable "do_token" {
  type = string
  description = "DigitalOcean Token - terraform-demo"
  default = null
}

variable "ssh_key_name" {
  type = string
  description = "Default SSH key for new droplets"
  default = null
}

variable "domain" {
  type = string
  description = "DOMAIN.TLD to use for PTR DNS records"
  default = null
}

variable "droplet_nyc_name" {
  type = string
  description = "Droplet name for NYC"
  default = null
}

variable "droplet_sfo_name" {
  type = string
  description = "Droplet name for SFO"
  default = null
}

variable "tf_fw_rule_name" {
  type = string
  description = "Default Firewall Rule NAME for new droplets"
  default = null
}
